Subject: Fwd: problems about agentX

From: Randy Presuhn <[email-masked]>
Date: Wed, 8 Aug 2001 06:39:39 -0700 (PDT)

Hi -

I'm forwarding a non-subscriber contribution to the agentx list.
Subscription instructions are at
http://www.ietf.org/html.charters/agentx-charter.html

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id GAA29290
> 	for <[email-masked]>; Wed, 8 Aug 2001 06:30:24 -0700 (PDT)
> Received: from mx-us-hou-1-int.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.10.2) with ESMTP id f78DUXV06666
> 	for <[email-masked]>; Wed, 8 Aug 2001 08:30:33 -0500 (CDT)
> Received: from mail.szutstar.com (unknown [202.105.137.238])
> 	by mx-us-hou-1-int.bmc.com (Postfix) with SMTP id 3242C20EFEC
> 	for <[email-masked]>; Wed,  8 Aug 2001 13:22:40 -0500 (CDT)
> Received: from utwangzhihong ([202.105.137.230])
> 	by mail.szutstar.com (8.11.1/8.11.1) with SMTP id f78DRc426995
> 	for <[email-masked]>; Wed, 8 Aug 2001 21:27:40 +0800
> From: "red" <[email-masked]>
> To: <[email-masked]>
> Subject: problems about agentX
> Date: Wed, 8 Aug 2001 21:32:42 +0800
> Message-ID: <[email-masked]>
> MIME-Version: 1.0
> Content-Type: text/plain;
> 	charset="gb2312"
> X-Priority: 3 (Normal)
> X-MSMail-Priority: Normal
> X-Mailer: Microsoft Outlook IMO, Build 9.0.2416 (9.0.2910.0)
> Importance: Normal
> X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2919.6700
> Content-Transfer-Encoding: 8bit
> X-MIME-Autoconverted: from base64 to 8bit by dorothy.bmc.com id GAA29291
> 
> 
> Dear Sir:
> 
>              I have two questions about agentX, They are:
>         
> 
>                              (1) I want to know what environment shoud AgentX be used? ( I can not understand the RFC Doc about Applicability part, can you give me some eaxmples?)
>                            (2) I can not understand what can be done by  agent-IndexAllocate-PDU  and  agent-AddAgentCaps-PDU, can you give me a hand?
> 
>                           
>                                I will  very apprecite for your help.
> 
>                                                                                                                      Red         
>